Bug 191558 - lsof can't display/filter SELinux security context
Summary: lsof can't display/filter SELinux security context
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lsof (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-12 21:18 UTC by James Antill
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 12:17:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
implement -Z option and documentation for same (19.21 KB, patch)
2006-05-12 21:18 UTC, James Antill
no flags Details | Diff

Description James Antill 2006-05-12 21:18:59 UTC
Description of problem:
 lsof can't display the SELinux security context of an process, or filter to
processes with a specific context.

Version-Release number of selected component (if applicable):
lsof-4.76-2.src.rpm

Additional info:
 I've done a patch to add this feature, if we could test it in rawhide and then
look to moving it upstream I'll do what is needed to make any changes for that.
 Patch was based on the code for Solaris zones, so it should be acceptable upstream.
 The only minor thing I can think they might not like is that the patch uses
fnmatch().

Comment 1 James Antill 2006-05-12 21:18:59 UTC
Created attachment 128963 [details]
implement -Z option and documentation for same

Comment 2 Karel Zak 2006-05-26 12:14:46 UTC
I've sent the patch to upstream maintainer. We'll see his opinion.


Note You need to log in before you can comment on or make changes to this bug.